### Method

# FwupdPlugin SrecFirmware get_records

since: 1.3.2

#### Declaration [src]

    GPtrArray*
    fu_srec_firmware_get_records (
      FuSrecFirmware* self
    )

#### Description [src]

Returns the raw records from SREC tokenization.

This might be useful if the plugin is expecting the SREC file to be a list of operations, rather than a simple linear image with filled holes.

Available since: 1.3.2

#### Return value

Type: An array of `None`

Records.

The returned data is owned by the instance.